c
c	led1.f 1.4 92/07/01 15:23:12
c
c  Copyright 1991 Intel Corporation, Inc.
c  See the "Copyright" file for complete rights and liability information.
c
c  Part 1 of 4:
c    Main program for using green LEDs on node board(s)
c    to flash 'SOS' in Morse code.
c
c    Calls the subroutines defined in the files led[234].f.
c
c  NOTE: This program contains an infinite loop.
c        To terminate, use the *killcube* command.

      integer wait0, wait2
      parameter(wait0 = 1000)
      parameter(wait2 = 200)

c  Identify self.

      iam = mynode()
      if(iam. eq. 0) print *, 'Starting...'

c  Initialize: Make sure green LED is OFF.

      call led(0)

c  Send 'SOS'

10    print *, ''
      call delay(wait0)

c  Send 'S'

      call dit(iam)
      call dit(iam)
      call dit(iam)
      call delay(wait2)

c  Send 'O'

      call dah(iam)
      call dah(iam)
      call dah(iam)
      call delay(wait2)

c  Send 'S'

      call dit(iam)
      call dit(iam)
      call dit(iam)
      call delay(wait2)

c  Repeat

      goto 10

      end
